Name:           cabextract
Version:        1.11
Release:        2%{?dist}
Summary:        Utility for extracting cabinet (.cab) archives

License:        GPLv2+
URL:            https://www.cabextract.org.uk/
Source0:         https://www.cabextract.org.uk/%{name}-%{version}.tar.gz


BuildRequires:  gcc
BuildRequires:  make
%if 0%{?mspack}
BuildRequires:  libmspack-devel >= 0.8
%else
Provides: bundled(libmspack) = 1.9
%endif


%description
cabextract is a program which can extract files from cabinet (.cab)
archives.


%prep
%autosetup -p1


%build
%configure \
  %{?mspack:--with-external-libmspack}

%make_build


%install
%make_install


%files
%doc AUTHORS ChangeLog NEWS README TODO
%license COPYING
%{_bindir}/cabextract
%{_mandir}/man1/cabextract.1*


%changelog
* Wed Apr 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11-2
- rebase to add ocs and ts macros

* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11-1
- initial build
